Instruments Identification
Last updated: 2026-01-29
We propose two methods for instrument identification:
- A coverage endpoint where the user provides a file (CSV or JSON) of ISIN and Currency pairs and the endpoint returns a list of single chosen instruments. Here the user does not have to choose the instrument, our platform does it automatically. This is the preferred method for instrument identification. We are also able to extend this method based on client demand to use other identifiers e.g. Ticker and MIC pairs or FIGI. Please contact us directly for such requests.
- A search endpoint where free text, symbol or isin can be used in conjunction with MIC and currency to identify a list of instruments matching does parameters. Whilst this list is ordered in terms of best match, the user still has to pick the matching instrument.
Irrespective of the method, the following applies:
- The search results are dependent on the data packages the user subscribes to e.g. if you are not subscribed to the Fixed Income data package, no Fixed Income instruments will be displayed.
- The user must make not of both the
instrument_codeandapiidto use the chosen instrument in the rest of our application. We suggest this is saved on the user's side so as to avoid calling any of these two endpoints again.
1 - Instrument Coverage (preferred method)
The PUT /history/coverage endpoint allows a user to match a list of ISIN / Currency pairs to a list of unique instrument_code / apiid pairs. The method returns the best matching instrument for each ISIN / Currency pair or an explanation (coverage_status) as to why the instrument has not been matched.
2- Instrument Search
The GET /history/instrument endpoint allows a user to search our database for specific instruments. This endpoint returns a list of instruments ordered from best matching to least.
